import request from "@/utils/request";

// 客户联系人列表
export function apiCustomContactsLists(params: any) {
  return request.get({ url: "/custom.custom_contacts/lists", params });
}

// 添加客户联系人
export function apiCustomContactsAdd(params: any) {
  return request.post({ url: "/custom.custom_contacts/add", params });
}

// 编辑客户联系人
export function apiCustomContactsEdit(params: any) {
  return request.post({ url: "/custom.custom_contacts/edit", params });
}

// 删除客户联系人
export function apiCustomContactsDelete(params: any) {
  return request.post({ url: "/custom.custom_contacts/delete", params });
}

// 客户联系人详情
export function apiCustomContactsDetail(params: any) {
  return request.get({ url: "/custom.custom_contacts/detail", params });
}
