const detailConfig = {
    title: "项目咨询--基本信息",
    config: [
        {
            label: "项目名称",
            value: "project_name"
        },
        {
            label: "项目编号",
            value: "project_code"
        },
        {
            label: "行业",
            value: "industry_text"
        },
        {
            label: "性质",
            value: "nature_text"
        }, {
            label: "委托单位",
            value: "company"
        }, {
            label: "建设区域",
            value: "build_area_text"
        }, {
            label: "项目地址",
            value: "address"
        }, {
            label: "项目级别",
            value: "project_level_text"
        }, {
            label: "总投资（元）",
            value: "total_investment"
        }, {
            label: "立项日期",
            value: "initiation_date"
        }, {
            label: "关联合同",
            value: "contract"
        }, {
            label: "合同金额",
            value: "contract_amount"
        }, {
            label: "合同服务内容",
            value: "contract_content"
        }, {
            label: "项目规模及概况",
            value: "project_overview"
        }, {
            label: "咨询范围",
            value: "consult_content"
        }, {
            label: "备注",
            value: "remark",
            column: 1
        }, {
            label: "咨询开始日期",
            value: "consult_start_date"
        }, {
            label: "咨询结束日期",
            value: "consult_end_date"
        },
        {
            label: "工程状态",
            value: "engineering_status_text"
        },
        {
            label: "咨询类型",
            value: "consult_type_text"
        },
        {
            label: "联系电话",
            value: "telephone"
        },

        {
            label: "委托联系人",
            value: "consult_user"
        },

        {
            label: "监管部门",
            value: "supervision_department"
        },

        {
            label: "实施部门",
            value: "implementation_department"
        },

        {
            label: "项目部",
            value: "project_department"
        },
        {
            label: "项目负责人员",
            value: "project_manager"
        },


        {
            label: "甲方单位",
            value: "part_a_unit"
        },


        {
            label: "项目归档",
            value: "project_archiving_text"
        },

        {
            label: "归档目录",
            value: "archiving_directory"
        },
        {
            label: "创建人",
            value: "create_user"
        },

        {
            label: "创建时间",
            value: "create_time"
        },

        {
            label: "附件",
            value: "annex",
            column: 1
        },
    ],



}
export default detailConfig;