import { apiFinancialBudgetDocDetailLists } from '@/api/financial_budget_doc_detail'


const detailConfig = {
    title: "财务管理--项目预算书",
    config: [
        {
            label: "合同名称",
            value: "contract_name"
        },
        {
            label: "合同类型",
            value: "contract_type_text"
        },
        {
            label: "甲方签约单位",
            value: "part_a"
        },

        {
            label: "签订金额",
            value: "money"
        },
        {
            label: "合同签订日期",
            value: "create_date"
        },
        {
            label: "预算书名称",
            value: "name"
        },
        {
            label: "下达日期",
            value: "issue_date"
        },
        {
            label: "创建人",
            value: "create_user"
        },
        {
            label: "创建时间",
            value: "create_time"
        },
        {
            label: "备注",
            value: "remark",
            column: 1,
        },
        {
            label: "附件",
            value: "annex",
            column: 1,
        },

    ],
    table: {
        title: "发票明细",
        tableConfig: [
            {
                label: "部门",
                value: 'dept_text',

            },
            {
                label: "预算分成方式",
                value: 'type_text'
            },
            {
                label: "预算分成金额",
                value: 'amount',
            },
            {
                label: "备注",
                value: 'remark',
            },


        ],
        query: 'budget_doc_id',
        fetchFun: apiFinancialBudgetDocDetailLists,
    }

}
export default detailConfig;