import { apiFinancialExpenseReimbursementDetailLists } from '@/api/financial_expense_reimbursement'


const detailConfig = {
    title: "财务管理--费用报销单",
    config: [
        {
            label: "合同名称",
            value: "contract_name"
        },
        {
            label: "合同类型",
            value: "contract_type_text"
        },
        {
            label: "费用申请单",
            value: "fee_application_theme"
        },
        {
            label: "单据主题",
            value: "theme"
        },
        {
            label: "单据编号",
            value: "code"
        },
        {
            label: "单据张数",
            value: "bill_num"
        },
        {
            label: "单据编号",
            value: "code"
        },
        {
            label: "支付方式",
            value: "pay_type_text"
        },
        {
            label: "事由",
            value: "content",
            column: 1
        },
        {
            label: "单据编号",
            value: "code"
        },

        {
            label: "报销总金额",
            value: "total_amount"
        },

        {
            label: "附件",
            value: "annex",
            column: 1
        },
        {
            label: "申请人",
            value: "create_user"
        },
        {
            label: "申请时间",
            value: "create_time"
        },


    ],
    table: {
        title: "报销明细",
        tableConfig: [
            {
                label: "部门",
                value: 'dept_name',


            },
            {
                label: "发生日期",
                value: 'date'
            },
            {
                label: "科目名称",
                value: 'subject_name_text',
            },
            {
                label: "金额",
                value: 'amount',
            },
            {
                label: "摘要",
                value: 'abstract',
            },


        ],
        query: 'expense_reimbursement_id',
        fetchFun: apiFinancialExpenseReimbursementDetailLists,
    }

}
export default detailConfig;