import { apiFinancialTravelReimbursementDetailLists } from '@/api/financial_travel_reimbursement'


const detailConfig = {
    title: "财务管理--差旅费报销单",
    config: [
        {
            label: "单据编号",
            value: "code"
        },
        {
            label: "审批部门",
            value: "approve_dept_name"
        },
        {
            label: "费用类别",
            value: "cost_type_text"
        },
        {
            label: "支付方式",
            value: "pay_type_text"
        },
        {
            label: "可抵扣税额",
            value: "tax_deductible_amount"
        },
        {
            label: "附单据张数",
            value: "bill_num"
        },
        {
            label: "关联费用申请",
            value: "fee_application_theme"
        },
        {
            label: "支付方式",
            value: "pay_type_text"
        },
        {
            label: "事由",
            value: "content",
            column: 1
        },
        {
            label: "申请人",
            value: "create_user"
        },
        {
            label: "申请时间",
            value: "create_time"
        },


    ],
    table: {
        title: "报销明细",
        tableConfig: [
            {
                label: "部门",
                value: 'dept_name',


            },
            {
                label: "起止日期",
                value: 'date'
            },
            {
                label: "起止地点",
                value: 'address',
            },
            {
                label: "交通费",
                value: 'traffic_amount',
            },
            {
                label: "住宿费",
                value: 'stay_amount',
            },
            {
                label: "住宿天数",
                value: 'stay_days',
            },
            {
                label: "住宿单价",
                value: 'stay_price',
            },
            {
                label: "补助天数",
                value: 'subsidy_days',
            },
            {
                label: "补助金额",
                value: 'subsidy_amount',
            },
            {
                label: "补贴减扣",
                value: 'subsidy_deduction',
            },
            {
                label: "补助标准",
                value: 'subsidy_price',
            },
            {
                label: "摘要",
                value: 'abstract',
            },


        ],
        query: 'travel_reimbursement_id',
        fetchFun: apiFinancialTravelReimbursementDetailLists,
    }

}
export default detailConfig;