import { apimanage_company_contacts } from '@/api/manage_company'


const detailConfig = {
    title: "项目管理--参建单位",
    config: [
        {
            label: "项目名称",
            value: "project_name"
        },
        {
            label: "单位名称",
            value: "name"
        },
        {
            label: "单位类别",
            value: "type_text"
        },
        {
            label: "资质等级",
            value: "qualification_grade"
        },
        {
            label: "联系电话",
            value: "telephone"
        },
        {
            label: "责任范围",
            value: "duty"
        },
    ],
    table: {
        title: "联系人",
        tableConfig: [
            {
                label: "姓名",
                value: 'name',

            },
            {
                label: "职务",
                value: 'duties'
            },
            {
                label: "办公电话",
                value: 'telephone',
            },
            {
                label: "手机号码",
                value: 'mobile',
            },
            {
                label: "电子邮箱",
                value: 'email',
            },
            {
                label: "传真",
                value: 'fax',
            },

        ],
        query: 'company_id',
        fetchFun: apimanage_company_contacts,
    }

}
export default detailConfig;