
import { apiMarketingCustomContactsLists } from '@/api/marketing_custom'

const detailConfig = {
    title: "市场经营--客户信息",
    config: [
        {
            label: "客户名称",
            value: "name"
        },
        {
            label: "客户简称",
            value: "sub_name"
        },
        {
            label: "客户编号",
            value: "code"
        },
        {
            label: "重要等级",
            value: "important_level_text"
        },
        {
            label: "负责部门",
            value: "dept_name"
        },
        {
            label: "客户分类",
            value: "category_text"
        },
        {
            label: "备注",
            value: "remark",
            column: 1
        },
        {
            label: "开票单位",
            value: "invoice_company"
        },
        {
            label: "纳税人识别号",
            value: "taxpayer_identification_number"
        },
        {
            label: "开户银行",
            value: "opening_bank"
        },
        {
            label: "开票联系人",
            value: "invoice_contact"
        },
        {
            label: "开票单位注册地址",
            value: "invoice_company_address"
        },

        {
            label: "开票单位电话",
            value: "invoice_company_telephone"
        },
        {
            label: "开户账号",
            value: "opening_bank_account"
        },
        {
            label: "电子邮箱",
            value: "email"
        },
        {
            label: "所在省份",
            value: "province_name"
        },
        {
            label: "所在市区",
            value: "city_name"
        },
        {
            label: "邮编",
            value: "post_code"
        },
        {
            label: "电话",
            value: "telephone"
        },
        {
            label: "传真",
            value: "fax"
        },
        {
            label: "网址",
            value: "website"
        },
        {
            label: "地址",
            value: "address"
        },
        {
            label: "录入人",
            value: "create_user"
        },
        {
            label: "录入日期",
            value: "create_time"
        },
        {
            label: "附件",
            value: "annex",
            column: 1
        },

    ],
    table: {
        title: "联系人",
        tableConfig: [
            {
                label: "姓名",
                value: 'name',

            },
            {
                label: "部门",
                value: 'dept'
            },
            {
                label: "性别",
                value: 'gender_text',
            },
            {
                label: "职务",
                value: 'job',
            },

            {
                label: "手机",
                value: 'mobile',
            },
            {
                label: "电话",
                value: 'telephone',
            },
            {
                label: "邮箱",
                value: 'email',
            },
            {
                label: "qq",
                value: 'qq',
            },
            {
                label: "备注",
                value: 'remark',
            },
        ],
        query: 'custom_id',
        fetchFun: apiMarketingCustomContactsLists,
    }



}
export default detailConfig;