import { apiMarketingCustomReturnVisitTemplateDetailLists } from '@/api/marketing_custom_return_visit_template'

const detailConfig = {
    title: "市场经营--客户回访模板",
    config: [
        {
            label: "模板名称",
            value: "name"
        },
        {
            label: "是否启用",
            value: "is_use_text"
        },

        {
            label: "创建人",
            value: "create_user"
        },
        {
            label: "创建日期",
            value: "create_time"
        },


    ],
    table: {
        title: "回访内容",
        tableConfig: [
            {
                label: "调查内容",
                value: 'survey_content',

            },
            {
                label: "内容说明",
                value: 'survey_content_desc'
            },
        ],
        query: 'custom_return_visit_template_id',
        fetchFun: apiMarketingCustomReturnVisitTemplateDetailLists,
    }



}
export default detailConfig;