
import { apisupervision_material_entry_detail, } from '@/api/supervision_material_entry'

const detailConfig = {
    title: "工程监理--设备进场",
    config: [
        {
            label: "项目名称",
            value: "project_name"
        },
        {
            label: "进场时间",
            value: "enter_time"
        },
        {
            label: "施工单位",
            value: "company_name"
        },
        {
            label: "进场结果",
            value: "enter_result_text"
        },
        {
            label: "共同参与人",
            value: "co_participant"
        },
        {
            label: "备注",
            value: "remark",
            column: 1
        },
        {
            label: "创建人",
            value: "create_user"
        },
        {
            label: "创建时间",
            value: "create_time"
        },

    ],
    table: {
        title: "材料信息",
        tableConfig: [
            {
                label: "材料名称",
                value: 'name'

            },
            {
                label: "材料品牌",
                value: 'brand'

            },
            {
                label: "单位",
                value: 'unit'
            },
            {
                label: "是否合同约定品牌",
                value: 'contract_brand_text',

            },
            {
                label: "型号",
                value: 'model',
            },
            {
                label: "进场数量",
                value: 'entry_number'
            },

        ],
        fetchFun: apisupervision_material_entry_detail,
        query: 'material_entry_id'
    }


}
export default detailConfig;