import { apisupervision_large_mechanical_equipment_maintenance_record } from '@/api/supervision_large_mechanical_equipment'


const detailConfig = {
    title: "工程监理--监理工作联系单",
    config: [
        {
            label: "项目名称",
            value: "project_name"
        },
        {
            label: "序号",
            value: "sn"
        },
        {
            label: "大型机械设备及仪器具",
            value: "name"
        },
        {
            label: "使用部位",
            value: "use_site"
        },
        {
            label: "进场时间",
            value: "entry_time",
        },

        {
            label: "报审单位名称",
            value: "company_name",
        },
        {
            label: "报审日期",
            value: "approval_date",
        },
        {
            label: "报审结果",
            value: "approval_result",
        },
        {
            label: "报审表编号",
            value: "approval_form_code",
        },
        {
            label: "报审类型",
            value: "approval_type_text",
        },
        {
            label: "报审类型",
            value: "approval_type_text",
        },
        {
            label: "专监初审意见",
            value: "first_audit_opinion_text",
        },
        {
            label: "初审人",
            value: "first_auditor",
        },
        {
            label: "初审时间",
            value: "first_audit_time",
        },
        {
            label: "总监审定结论",
            value: "final_audit_opinion_text",
        },
        {
            label: "审定时间",
            value: "final_audit_time",
        },
        {
            label: "备注",
            value: "remark",
            column: 1
        },
        {
            label: "附件",
            value: "annex",
            column: 1

        },

    ],
    table: {
        title: "机械维修保养记录",
        tableConfig: [
            {
                label: "登记日期",
                value: 'reg_date',
            },
            {
                label: "机械每月维修保养附件",
                value: 'month_warranty_file'
            },
            {
                label: "设备维保有效期",
                value: 'maintenance_period',
            },
            {
                label: "附配件1有效期",
                value: 'accessory_one_validity',
            },
            {
                label: "附配件2有效期",
                value: 'accessory_two_validity',
            },
        ],
        fetchFun: apisupervision_large_mechanical_equipment_maintenance_record,
        query: 'large_mechanical_equipment_id'
    }


}
export default detailConfig;