import { apisupervision_material_entry_detail } from '@/api/supervision_material_entry'

const detailConfig = {
    title: "工程监理--材料平行检验",
    config: [
        {
            label: "来源单据",
            value: "material_entry_name"
        },
        {
            label: "项目名称",
            value: "project_name"
        },
        {
            label: "送检日期",
            value: "inspection_date"
        },
        {
            label: "送检人",
            value: "inspector"
        },
        {
            label: "备注",
            value: "remark",
            column: 1
        },

        {
            label: "备注",
            value: "remark",
            column: 1
        },
        {
            label: "创建人",
            value: "create_user"
        },
        {
            label: "创建时间",
            value: "create_time"
        },
        {
            label: "附件",
            value: "annex",
            column: 1

        },

    ],
    table: {
        title: "材料信息",
        tableConfig: [
            {
                label: "材料名称",
                value: 'name',

            },
            {
                label: "材料品牌",
                value: 'brand'
            },
            {
                label: "单位",
                value: 'unit',
            },
            {
                label: "是否合同约定品牌",
                value: 'contract_brand',
                select: [
                    {
                        name: "否",
                        value: 0
                    },
                    {
                        name: "是",
                        value: 1
                    }
                ]
            },
            {
                label: "型号",
                value: 'model',
            },
            {
                label: "进场数量",
                value: 'entry_number',
            },
            {
                label: "检验数量",
                value: 'num',
            },
        ],
        fetchFun: apisupervision_material_entry_detail,
        query: { 'data_id': '', data_type: 6 }
    }


}
export default detailConfig;