import { apiSupervisionMonitoringEquipmentDetailLists } from '@/api/supervision_monitoring_equipment_detail'



const detailConfig = {
    title: "工程监理--监控设备信息",
    config: [
        {
            label: "项目名称",
            value: "project_name"
        },
        {
            label: "监控设备名称",
            value: "device_name"
        },
        {
            label: "设备类型",
            value: "device_type_text"
        },
        {
            label: "设备序列号",
            value: "device_sn"
        },
        {
            label: "编号",
            value: "number"
        },
        {
            label: "备注",
            value: "remark",
            column: 1
        },
    ],
    table: {
        title: "设备",
        tableConfig: [
            {
                label: "设备名称",
                value: 'name',

            },
            {
                label: "是否显示",
                value: 'is_show_text'
            },

        ],
        query: 'device_id',
        fetchFun: apiSupervisionMonitoringEquipmentDetailLists,
    }

}
export default detailConfig;