

import { apisupervision_project_data_archiving_detail, } from '@/api/supervision_project_data_archiving'

const detailConfig = {
    title: "工程监理--项目竣工资料归档",
    config: [
        {
            label: "项目名称",
            value: "project_name"
        },
        {
            label: "项目总监意见",
            value: "opinion"
        },
        {
            label: "备注",
            value: "remark",
            column: 1

        },

    ],
    table: {
        title: "资料归档目录",
        tableConfig: [
            {
                label: "监理项目竣工资料归档目录",
                value: 'data_catalog'

            },
            {
                label: "项目部提交资料(份数)",
                value: 'submit_by_project_dept'

            },
            {
                label: "生产管理部核实情况(份数)",
                value: 'submit_by_production_dept'
            },

        ],
        fetchFun: apisupervision_project_data_archiving_detail,
        query: 'data_archiving_id'
    }

}
export default detailConfig;