
const detailConfig = {
    title: "工程监理--项目月报",
    config: [
        {
            label: "项目名称",
            value: "project_name"
        },
        {
            label: "年月",
            value: "date"
        },
        {
            label: "上月计划工程进度（%）",
            value: "last_month_planned_progress"
        },
        {
            label: "下月计划工程进度(%)",
            value: "next_month_planned_progress"
        },
        {
            label: "本月累计工程进度（(%)",
            value: "this_month_progress"
        },
        {
            label: "工程状态",
            value: "engineering_status_text"
        }, {
            label: "进度描述",
            value: "progress_description"
        }, {
            label: "存在的问题及解决措施",
            value: "problems_and_measure"
        }, {
            label: "本月完成",
            value: "this_month_amount"
        },
        {
            label: "累计完成",
            value: "total_amount"
        },
        {
            label: "本月支付",
            value: "this_month_pay"
        },
        {
            label: "累计支付",
            value: "total_pay"
        },
        {
            label: "建设各方责任",
            value: "quality_behavior"
        },
        {
            label: "施工现场质量情况",
            value: "quality_situation"
        },
        {
            label: "质量缺陷或质量隐患的处理情况",
            value: "quality_hazards"
        },
        {
            label: "检查及抽检情况",
            value: "sampling_situation"
        },
        {
            label: "其他质量情况",
            value: "other_quality_conditions"
        },
        {
            label: "本月安全情况",
            value: "safety_situation"
        },

        {
            label: "备注",
            value: "remark"
        },

        {
            label: "创建人",
            value: "create_user"
        },
        {
            label: "创建时间",
            value: "create_time"
        },
        {
            label: "备注",
            value: "remark",
            column: 1
        },
        {
            label: "附件",
            value: "annex",
            column: 1

        },

    ],

}
export default detailConfig;