import { apisupervision_problem } from '@/api/supervision_inspection'

const detailConfig = {
    title: "工程监理--设备进场",
    config: [
        {
            label: "项目名称",
            value: "project_name"
        },
        {
            label: "试验类型",
            value: "test_type"
        },
        {
            label: "编号",
            value: "code"
        },
        {
            label: "见证人",
            value: "witness"
        },
        {
            label: "试验部位",
            value: "test_site"
        },
        {
            label: "单位名称",
            value: "company_name",
        },
        {
            label: "开始日期",
            value: "start_date",
        },
        {
            label: "结束日期",
            value: "end_date",
        },
        {
            label: "试验结果",
            value: "test_result_text",
        },
        {
            label: "备注",
            value: "remark",
            column: 1
        },
        {
            label: "创建人",
            value: "create_user"
        },
        {
            label: "创建时间",
            value: "create_time"
        },
        {
            label: "附件",
            value: "annex",
            column: 1

        },

    ],
    table: {
        title: "问题",
        tableConfig: [
            {
                label: "问题分类",
                value: 'problem_cate_text',

            },
            {
                label: "问题说明",
                value: 'problem_description'
            },
            {
                label: "问题名称",
                value: 'problem_name',
            },

        ],
        fetchFun: apisupervision_problem,
        query: { 'data_id': '', data_type: 6 }
    }


}
export default detailConfig;