import request from "@/utils/request";

// 报价单列表
export function apiQuotationLists(params: any) {
  return request.get({ url: "/quotation.quotation/lists", params });
}

// 添加报价单
export function apiQuotationAdd(params: any) {
  return request.post({ url: "/quotation.quotation/add", params });
}

// 编辑报价单
export function apiQuotationEdit(params: any) {
  return request.post({ url: "/quotation.quotation/edit", params });
}

// 删除报价单
export function apiQuotationDelete(params: any) {
  return request.post({ url: "/quotation.quotation/delete", params });
}

// 报价单详情
export function apiQuotationDetail(params: any) {
  return request.get({ url: "/quotation.quotation/detail", params });
}

//apiQuotationSearch
export function apiQuotationSearch(params: any) {
  return request.get({ url: "/quotation.quotation/datas", params });
}
