const detailConfig = {
    title: "开票申请",
    config: [
        {
            label: "合同编号",
            value: "contract_code"
        },
        {
            label: "合同名称",
            value: "contract_name"
        },
        {
            label: "项目名称",
            value: "project_name"
        },
        {
            label: "项目编码",
            value: "project_code"
        },
        {
            label: "客户名称",
            value: "custom_name"
        },
        {
            label: "开票日期",
            value: "invoicing_date"
        },
        {
            label: "合同金额",
            value: "contract_amount"
        },
        {
            label: "期次",
            value: "period_text"
        },
        {
            label: "税率",
            value: "tax_rate_text"
        },
        {
            label: "发票类型",
            value: "invoice_type_text"
        },

        {
            label: "开票金额(含税)",
            value: "invoicing_amount"
        },
        {
            label: "开票内容",
            value: "content",
            column: 1
        },
        {
            label: "发票编号",
            value: "invoice_no"
        },

        {
            label: "开票公司名称",
            value: "invoicing_company_name"
        },
        {
            label: "纳税人识别号",
            value: "taxpayer_identification_number"
        },
        {
            label: "开户银行",
            value: "deposit_bank"
        },
        {
            label: "账号",
            value: "bank_accnout"
        },
        {
            label: "开户地址及电话",
            value: "address_phone"
        },
        {
            label: "收票地址",
            value: "receiving_address"
        },
        {
            label: "联系人",
            value: "contacts"
        },

        {
            label: "联系电话",
            value: "phone"
        },
        {
            label: "邮寄时间",
            value: "mailing_time"
        },
        {
            label: "邮寄方式",
            value: "mailing_type"
        },
        {
            label: "邮寄单号",
            value: "mailing_no"
        },
        {
            label: "备注",
            value: "remark",
            column: 1
        },
        {
            label: "附件",
            value: "annex",
            column: 1

        },
    ],

}
export default detailConfig;