import { apibuild_reportLists } from '@/api/build/build_report_detail'

const detailConfig = {
    title: "施工汇报表",
    config: [
        {
            label: "作业编码",
            value: "zy_code"
        },
        {
            label: "项目名称",
            value: "project_name"
        },
        {
            label: "项目编码",
            value: "project_code"
        },
        {
            label: "工序步骤号",
            value: "process_step_no"
        },
        {
            label: "工序步骤",
            value: "process_step"
        },
        {
            label: "图例说明",
            value: "process_file",
            column: 1

        },
        {
            label: "质量控制点",
            value: "quality_control_points"
        },
        {
            label: "计划开始日期",
            value: "plan_start_date"
        },
        {
            label: "计划结束日期",
            value: "plan_end_date",
        },
        {
            label: "班组长",
            value: "project_member_name"
        },
        {
            label: "施工内容",
            value: "work_content"
        },
        {
            label: "作业量",
            value: "workload"
        },
        {
            label: "剩余作业量",
            value: "residue_workload"
        },
        {
            label: "填报人",
            value: "add_user_name"
        },
        {
            label: "今日完工量",
            value: "report_workload"
        },
        {
            label: "单位",
            value: "unit"
        },
        {
            label: "单价",
            value: "price"
        },
        {
            label: "金额",
            value: "report_amount"
        },
        {
            label: "现场照片",
            value: "scene_file",
            column: 1
        },
        {
            label: "备注",
            value: "remark"
        },


    ],
    table: {
        title: "人工明细",
        tableConfig: [
            {
                label: "姓名",
                value: 'person_name',
            },
            {
                label: "身份证号",
                value: 'person_idcard'
            },
            {
                label: "工种",
                value: 'person_work_type_text',
            },
            {
                label: "今日完工量",
                value: 'work_num',
            },
            {
                label: "备注",
                value: '',
            },

        ],
        query: 'report_id',
        fetchFun: apibuild_reportLists,
    }

}
export default detailConfig;