import {
    apiFinancialDepartmentIncomeSettlementDetailLists,
} from '@/api/financial_department_income_settlement'

const detailConfig = {
    title: "财务管理--部门收入结算",
    config: [
        {
            label: "项目预算书",
            value: "name"
        },
        {
            label: "结算说明",
            value: "desc"
        },
        {
            label: "结算人",
            value: "create_user"
        },
        {
            label: "结算日期",
            value: "create_time"
        },
    ],
    table: {
        title: "结算明细",
        tableConfig: [
            {
                label: "部门",
                value: 'dept_name',

            },
            {
                label: "预算分成方式",
                value: 'type_text'
            },
            {
                label: "预算分成金额",
                value: 'amount',
            },
            {
                label: "结算金额",
                value: 'settlement_amount',
            },
            {
                label: "结算单号",
                value: 'settlement_code',
            },
            {
                label: "备注",
                value: 'remark',
            },

        ],
        fetchFun: apiFinancialDepartmentIncomeSettlementDetailLists,
        query: "department_income_settlement_id"
    }

}
export default detailConfig;