import { apiFinancialFeeApplicationDetailLists } from '@/api/financial_fee_application'


const detailConfig = {
    title: "财务管理--费用申请",
    config: [
        {
            label: "单据主题",
            value: "theme"
        },
        {
            label: "单据编号",
            value: "code"
        },
        {
            label: "单据编号",
            value: "code"
        },
        {
            label: "申请金额",
            value: "total_amount"
        },
        {
            label: "票据总张数",
            value: "total_bill_num"
        },
        {
            label: "备注",
            value: "remark"
        },


        {
            label: "申请人",
            value: "create_user"
        },
        {
            label: "申请时间",
            value: "create_time"
        },


    ],
    table: {
        title: "申请明细",
        tableConfig: [
            {
                label: "科目类别",
                value: 'subject_category_text',


            },
            {
                label: "票据张数",
                value: 'bill_num'
            },
            {
                label: "申请金额",
                value: 'amount',
            },
            {
                label: "备注",
                value: 'remark',
            },


        ],
        query: 'fee_application_id',
        fetchFun: apiFinancialFeeApplicationDetailLists,
    }

}
export default detailConfig;