import { apiMarketingProjectFilingDetailLists } from '@/api/marketing_project_filing'

const detailConfig = {
    title: "市场经营--项目备案",
    config: [
        {
            label: "合同名称",
            value: "contract_name"
        },
        {
            label: "录入人",
            value: "create_user"
        },
        {
            label: "录入日期",
            value: "create_time"
        },
        {
            label: "备注",
            value: "remark",
            column: 1
        },
        {
            label: "附件",
            value: "annex",
            column: 1
        },

    ],
    table: {
        title: "备案人员信息",
        tableConfig: [
            {
                label: "备案人员",
                value: 'filing_user',

            },
            {
                label: "备案角色",
                value: 'filing_role_text'
            },
            {
                label: "登记时间",
                value: 'reg_time',
            },
            {
                label: "状态",
                value: 'status_text',
            },
        ],
        query: 'project_filing_id',
        fetchFun: apiMarketingProjectFilingDetailLists,
    }



}
export default detailConfig;