const detailConfig = {
    title: "项目进度款",
    config: [
        {
            label: "单据编号",
            value: "num"
        },
        {
            label: "项目名称",
            value: "projectInfo.project_name"
        },
        {
            label: "项目编号",
            value: "projectInfo.project_num"
        },
        {
            label: "登记人",
            value: "djr"
        },
        {
            label: "登记日期",
            value: "djrq"
        },

        {
            label: "进度申报造价合计",
            value: "sbhj"
        },
        {
            label: "进度审核造价合计",
            value: "shhj"
        },
        {
            label: "累计应付工程款合计",
            value: "ljhj"
        },
        {
            label: "附件",
            value: "annex",
            column: 1
        },
    ],
    table: {
        title: "进度明细",
        tableConfig: [
            {
                label: "所在目录",
                value: 'directory',

            },
            {
                label: "单位工程名称",
                value: 'unit_project_name'
            },
            {
                label: "合同工程款总额",
                value: 'contract_total_amount',
            },

            {
                label: "合同付款比例（%）",
                value: 'dcntract_payment_rate',
            },
            {
                label: "时间",
                value: 'time',
            },
            {
                label: "形象进度",
                value: 'image_progress',
            },
            {
                label: "申报造价(土建)",
                value: 'declared_cost_tj',
            },
            {
                label: "申报造价(安装)",
                value: 'declared_cost_az',
            },
            {
                label: "申报造价(其他)",
                value: 'declared_cost_other',
            },
            {
                label: "进度申报造价小计",
                value: 'jdsbzj_xiaoji',
            },
            {
                label: "审核造价(土建)",
                value: 'audit_cost_tj',
            },
            {
                label: "审核造价(安装)",
                value: 'audit_cost_az',
            },
            {
                label: "审核造价(其他)",
                value: 'audit_cost_other',
            },
            {
                label: "进度审核造价小计",
                value: 'jdshzj_xiaoji',
            },
            {
                label: "审核造价(其他)",
                value: 'audit_cost_other',
            },
            {
                label: "审减额(元)",
                value: 'deduction_amount',
            },
            {
                label: "完成产值比例（%）(%)",
                value: 'completed_rate',
            },
            {
                label: "累计完成工程款",
                value: 'ljwc_funds',
            },
            {
                label: "当期应付工程款",
                value: 'current_payable_funds',
            },
            {
                label: "付款比例（%）",
                value: 'payment_rate',
            },
            {
                label: "备注",
                value: 'remark',
            },
        ],
        fetchFun: 'project_progress_payment_detail',
    }


}
export default detailConfig;