import { apisupervision_problem, } from '@/api/supervision_inspection'

const detailConfig = {
    title: "工程监理--材料平行检验",
    config: [
        {
            label: "项目名称",
            value: "project_name"
        },
        {
            label: "检验主题",
            value: "theme"
        },
        {
            label: "编号",
            value: "code"
        },
        {
            label: "工程单位",
            value: "check_item_name"
        },
        {
            label: "检验部位",
            value: "position",
        },

        {
            label: "开始时间",
            value: "start_time",
        },
        {
            label: "结束时间",
            value: "end_time",
        },
        {
            label: "检验结果",
            value: "result_text",
        },
        {
            label: "检验结果",
            value: "start_time",
        },
        {
            label: "备注",
            value: "remark",
            column: 1
        },
        {
            label: "创建人",
            value: "create_user"
        },
        {
            label: "创建时间",
            value: "create_time"
        },
        {
            label: "附件",
            value: "annex",
            column: 1

        },

    ],
    table: {
        title: "材料信息",
        tableConfig: [
            {
                label: "问题分类",
                value: 'problem_cate_text',

            },
            {
                label: "问题说明",
                value: 'problem_description'
            },
            {
                label: "问题名称",
                value: 'problem_name',
            },
        ],
        fetchFun: apisupervision_problem,
        query: { 'data_id': '', data_type: 8 }
    }


}
export default detailConfig;