import { apisupervision_notice_problem, } from '@/api/supervision_notice'
const detailConfig = {
    title: "工程监理--监理通知单",
    config: [
        {
            label: "项目名称",
            value: "project_name"
        },
        {
            label: "项目通知编号",
            value: "code"
        },
        {
            label: "要求回复日期",
            value: "reply_date"
        },
        {
            label: "施工单位",
            value: "company_name"
        },
        {
            label: "通知人员",
            value: "notify_user",
        },

        {
            label: "下达日期",
            value: "issue_date",
        },


        {
            label: "创建人",
            value: "create_user"
        },
        {
            label: "创建时间",
            value: "create_time"
        },
        {
            label: "附件",
            value: "annex",
            column: 1

        },

    ],
    table: {
        title: "材料信息",
        tableConfig: [
            {
                label: "事由描述",
                value: 'problem_description',

            },
            {
                label: "内容描述",
                value: 'content_description'
            },
            {
                label: "要求描述",
                value: 'demand_description',
            },
        ],
        fetchFun: apisupervision_notice_problem,
        query: 'notice_id'
    }


}
export default detailConfig;