import { apisupervision_work_contact_problem, } from '@/api/supervision_work_contact'

const detailConfig = {
    title: "工程监理--监理工作联系单",
    config: [
        {
            label: "项目名称",
            value: "project_name"
        },
        {
            label: "联系编号",
            value: "code"
        },
        {
            label: "发起人",
            value: "initiator"
        },
        {
            label: "发起日期",
            value: "initiation_date"
        },
        {
            label: "主题",
            value: "theme",
        },

        {
            label: "抄送人员",
            value: "copy_user",
        },

        {
            label: "附件",
            value: "annex",
            column: 1

        },

    ],
    table: {
        title: "材料信息",
        tableConfig: [
            {
                label: "问题名称",
                value: 'problem_name',

            },
            {
                label: "问题说明",
                value: 'problem_description'
            },
        ],
        fetchFun: apisupervision_work_contact_problem,
        query: 'work_contact_id'
    }


}
export default detailConfig;