const detailConfig = {
    title: "任务分配",
    config: [
        {
            label: "单据编号",
            value: "num"
        },
        {
            label: "项目名称",
            value: "projectInfo.project_name"
        },
        {
            label: "项目编号",
            value: "projectInfo.project_num"
        },
        {
            label: "项目负责人",
            value: "project_director"
        },
        {
            label: "登记日期",
            value: "apptime"
        },
        {
            label: "附件",
            value: "annex",
            column: 1
        },

    ],
    table: {
        title: "任务明细",
        tableConfig: [
            {
                label: "任务名称",
                value: 'task_name',

            },
            {
                label: "任务次级",
                value: 'level'
            },
            {
                label: "工序",
                value: 'process',
            },
            {
                label: "任务类型",
                value: 'task_type_id_text',
            },
            {
                label: "专业类型",
                value: 'professional_type_text',
            },
            {
                label: "工程师",
                value: 'engineer',
            },
            {
                label: "一级审核人",
                value: 'first_reviewer',
            },
            {
                label: "二级审核人",
                value: 'secondary_reviewer',
            },
            {
                label: "三级审核人",
                value: 'third_level_reviewer',
            },
            {
                label: "天数",
                value: 'days',
            },
            {
                label: "开始日期",
                value: 'start_date',
            },
            {
                label: "结束日期",
                value: 'end_date',
            },
            {
                label: "中标金额",
                value: 'bid_winning_amount',
            },
            {
                label: "中标金额",
                value: 'bid_winning_amount',
            },

            {
                label: "送审造价",
                value: 'cost',
            },

            {
                label: "第三方核定金额",
                value: 'approved_amount',
            },

            {
                label: "施工单位",
                value: 'construction_unit',
            },
            {
                label: "联系人",
                value: 'contact',
            },
            {
                label: "联系电话",
                value: 'contact_phone',
            },
            {
                label: "备注",
                value: 'remark',
            },


        ],
        query: 'unit_id',
        fetchFun: 'task_detail',
    }



}
export default detailConfig;